#ifndef _MOZ_ABOUT_H_
#define _MOZ_ABOUT_H_

#include "nsIAboutModule.h"

#define ABOUT_LIGHT_CONTRACTID NS_ABOUT_MODULE_CONTRACTID_PREFIX "light"

#define ABOUT_LIGHT_MODULE_CID                       \
{ /* 8f50f812-fd29-4197-886d-633d9b1908ba */         \
    0x8f50f812,                                      \
    0xfd29,                                          \
    0x4197,                                          \
  { 0x88, 0x6d, 0x63, 0x3d, 0x9b, 0x19, 0x08, 0xba } \
}

#define ABOUT_MANUAL_CONTRACTID NS_ABOUT_MODULE_CONTRACTID_PREFIX "manual"

#define ABOUT_MANUAL_MODULE_CID                      \
{ /* 9c64796f-ceed-4175-9185-bbbeccb5250a */         \
    0x9c64796f,                                      \
    0xceed,                                          \
    0x4175,                                          \
  { 0x91, 0x85, 0xbb, 0xbe, 0xcc, 0xb5, 0x25, 0x0a } \
}

class nsIFactory;

extern nsresult NS_NewAboutLightFactory(nsIFactory** aFactory);
extern nsresult NS_NewAboutManualFactory(nsIFactory** aFactory);

#endif /* _MOZ_ABOUT_H_ */
