#ifndef __MOZ_MAIN_H_
#define __MOZ_MAIN_H_

void moz_init(char *mozdir);
void moz_history_init(Browser *browser);
#ifdef DOWNLOAD_HANDLER
void moz_mime_init(void);
#endif /* DOWNLOAD_HANDLER */

char	*moz_get_document_title(Browser *browser);
char	*moz_get_main_document_url(Browser *browser);
char	*moz_get_document_url(Browser *browser);

void	 moz_clear_cache(unsigned long cache);

void	 moz_print(Browser *browser, char *lpr, char *file);
int	 moz_find(Browser *browser, const char *exp, int matchcase, int search_backwards, int *did_find);

void moz_set_size(Browser *browser, float size);

int moz_set_charset(Browser *browser, char *charset);
#ifndef ENGLISH_IS_NO1
int moz_get_charset(char ***charsets);
#endif

void moz_save_link(Browser *browser, const char *url);
void moz_save_cached(Browser *browser, const char *uri, const char *filename);


/* key info */
int moz_key_info(gpointer event, KeyEventInfo *info);
/* mouse info */
int moz_mouse_info(gpointer event, MouseEventInfo *info, Browser *browser);

/* get current document/frame url */

#endif /* __MOZ_MAIN_H_ */
