#ifndef __UI_CB_H_
#define __UI_CB_H_

/* entry widget resizing on toolbar size */
void toolbar_resize_cb(GtkWidget *widget, GtkAllocation *alloc, gpointer data);

void mainwindow_destroy_cb(GtkWidget *widget, Browser *browser);

/* esc key in dialog boxes etc */
void dialog_keypress_cb(GtkWidget *widget, GdkEventKey *key, GtkWidget *window);

/* main menu handler */
void menu_handler(gpointer data, int action, GtkWidget *item);

/* url entry callbacks */
void url_activate_cb(GtkEditable *widget, Browser *browser);
int  url_click_cb(GtkWidget *widget, GdkEventButton *event, Browser *browser);
void url_rightclick_cb(GtkWidget *widget, GdkEvent *event, Browser *browser);
void url_keypress_cb(GtkWidget *widget, GdkEventKey *key, Browser *browser);

/* find dialog callback */
void find_dialog_find_cb(GtkWidget * widget, GtkWidget * window);
void find_dialog_close_cb(GtkWidget *widget, GtkWidget *window);
void find_dialog_clear_cb(GtkWidget *widget, GtkWidget *window);
/* searchbox callback */
void search_activate_cb(GtkEditable *widget, Browser *browser);

/* 4 toolbar buttons */
void back_cb(GtkButton *button, Browser *browser);
void stop_cb(GtkButton *button, Browser *browser);
void forward_cb(GtkButton *button, Browser *browser);
void reload_cb(GtkButton *button, Browser *browser);
void fifo_pressed_cb(GtkWidget *widget, GdkEventButton *event, Browser *browser);

#endif /* __UI_CB_H_ */
